# dynamics-utils

`dynamics_utils` is a Python module containing utilities for dealing with dynamic data, specifically focusing on 
Markov State Models (MSM) and Nuclear Magnetic Resonance (NMR).

## Features

- Utility functions to handle MSM data and to calculate NMR observables
- Easy integration with popular data processing libraries.
- Support for both NumPy and PyTorch operations.

## Installation

### Directly from GitHub

You can install the latest version of `dynamic_utils` directly from GitHub:

```bash
pip install git+https://github.com/chrisdkolloff/dynamics_utils.git#egg=dynamics_utils
```

## Dependencies

- numpy
- torch
- deeptime

## Contributing

We welcome contributions! Please submit a pull request on our [GitHub repository](https://github.com/chrisdkolloff/dynamic_utils.git).

## License

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the “Software”), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

## Contact

If you have any questions, feedback, or suggestions, please feel free to contact the maintainer:

- **Christopher Kolloff**
  - GitHub: [@chrisdkolloff](https://github.com/chrisdkolloff)

---

